Subject: Re: Droid 4 in -next -- still no backlight was Re: [PATCH 1/4] tty: n_gsm: Add support for serdev drivers

From: Tony Lindgren <[email-masked]>
Date: Tue, 24 Mar 2020 10:01:10 -0700

* Pavel Machek <[email-masked]> [200322 22:43]:
> Hi!
> 
> > We can make use of serdev drivers to do simple device drivers for
> > TS 27.010 chanels, and we can handle vendor specific protocols on top
> > of TS 27.010 with serdev drivers.
> 
> I took all three series (
> 
> [PATCHv3 0/3] Lost key-up interrupt handling for omap4-keypa
> [PATCH 1/3] Input: atmel_mxt_ts - use runtime PM instead of
> [PATCHv5 0/4] n_gsm serdev support and protocol driver for d
> 
> ) and applied them on top of next-20200320.
> 
> Good news is that result boots. (So I did partial testing of the patches).
> 
> Bad news is that I still don't have working backlight. I do have LED
> and there's backlight device connected to the LED, so I can't control
> the LED directly, but the screen is black (and I don't see boot
> messages either).
> 
> Before I start debugging, does screen work for you in -next, or do you
> have some fixes I could try?

Yes the backlight works for me now just fine with current v5.6-rc.

But yeah, looks like LCD is again broken in current Linux next,
maybe Laurent and Sebastian have some clues?

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel